> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xshot.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get community about

> Get community info with admin details.



## OpenAPI

````yaml /openapi-spec/xshot.yaml get /twitter/community/about
openapi: 3.0.3
info:
  title: Xshot REST API
  version: 1.0.0
  description: >
    Twitter/X data API. Access user profiles, tweets, communities, lists,
    spaces, and trends.


    All endpoints require authentication via `api_key` query parameter,
    `x-api-key` header, or `Authorization: Bearer` header.
  contact:
    name: Xshot
    url: https://api.xshot.fun
servers:
  - url: https://api.xshot.fun
    description: Production
security:
  - ApiKeyQuery: []
  - ApiKeyHeader: []
  - BearerAuth: []
paths:
  /twitter/community/about:
    get:
      tags:
        - Communities
      summary: Get community about
      description: Get community info with admin details.
      operationId: getCommunityAbout
      parameters:
        - name: id
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Community with admin
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Community'
                  - type: object
                    properties:
                      admin:
                        type: object
                        nullable: true
                        properties:
                          id:
                            type: string
                          username:
                            type: string
                          name:
                            type: string
components:
  schemas:
    Community:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        member_count:
          type: integer
        moderator_count:
          type: integer
        created_at:
          type: number
        join_policy:
          type: string
        rules:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              rest_id:
                type: string
  securitySchemes:
    ApiKeyQuery:
      type: apiKey
      in: query
      name: api_key
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
    BearerAuth:
      type: http
      scheme: bearer

````